> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve project domains by project by id or name

> Retrieve the domains associated with a given project by passing either the project id or name in the URL.



## OpenAPI

````yaml GET /projects/{idOrName}/domains
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /projects/{idOrName}/domains:
    get:
      tags:
        - domains
      description: >-
        Retrieve the domains associated with a given project by passing either
        the project `id` or `name` in the URL.
      parameters:
        - schema:
            type: string
            description: The unique project identifier or the project name
            example: prj_LLHUOMOoDlqOp8wPE4kFo9pE or my-project-name
          required: true
          name: idOrName
          in: path
        - schema:
            anyOf:
              - type: string
                enum:
                  - 'true'
              - type: string
                enum:
                  - 'false'
          required: false
          name: production
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - 'true'
              - type: string
                enum:
                  - 'false'
          required: false
          name: redirects
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - 'true'
              - type: string
                enum:
                  - 'false'
          required: false
          name: verified
          in: query
        - schema:
            type: integer
            description: Maximum number of domains to list from a request
            query:
              name: limit
              in: query
            example: 20
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: Get domains created after this JavaScript timestamp
            query:
              name: since
              in: query
            example: '1540095775941'
          required: false
          name: since
          in: query
        - schema:
            type: integer
            description: Get domains created before this JavaScript timestamp
            query:
              name: until
              in: query
            example: '1540095775941'
          required: false
          name: until
          in: query
        - schema:
            type: string
            enum:
              - ASC
              - DESC
          required: false
          name: order
          in: query
        - schema:
            type: string
            description: >-
              The Team identifier or Team slug to perform the request on behalf
              of.
            query:
              name: teamId
              in: query
            example: team_xbtegd63gdg5636gdg
          required: true
          name: teamId
          in: query
      responses:
        '200':
          description: Successful response retrieving a list of domains
          content:
            application/json:
              schema:
                type: object
                properties:
                  domains:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        teamId:
                          type:
                            - string
                            - 'null'
                        alias:
                          type: string
                        domain:
                          type: string
                        zoneId:
                          type: string
                        target:
                          type: string
                        redirect:
                          type:
                            - string
                            - 'null'
                        redirectStatusCode:
                          type:
                            - string
                            - 'null'
                          enum:
                            - 301
                            - 302
                            - 307
                            - 308
                          description: Status code for domain redirect
                          example: 302
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                        createdBy:
                          type:
                            - number
                            - 'null'
                        deploymentId:
                          type: string
                        projectId:
                          type: string
                      required:
                        - id
                        - teamId
                        - alias
                        - domain
                        - zoneId
                        - target
                        - redirect
                        - redirectStatusCode
                        - createdAt
                        - updatedAt
                        - createdBy
                        - deploymentId
                        - projectId
                  pagination:
                    type: object
                    properties:
                      count:
                        type: number
                        description: Amount of items in the current page.
                        example: 20
                      next:
                        type:
                          - number
                          - 'null'
                        description: Timestamp that must be used to request the next page.
                        example: 1540095775951
                      prev:
                        type:
                          - number
                          - 'null'
                        description: >-
                          Timestamp that must be used to request the previous
                          page.
                        example: 1540095775951
                    required:
                      - count
                      - next
                      - prev
                    description: >-
                      This object contains information related to the pagination
                      of the current request, including the necessary parameters
                      to get the next or previous page of data.
                    title: Pagination
                required:
                  - domains
                  - pagination
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '401':
          description: ''
        '403':
          description: You do not have permission to access this resource.
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````